Summary: KDE Frameworks 5 Tier 1 integration module for idle time detection
Name:    kf5-kidletime
Version: 5.110.0
%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Release: 1%{?dist}
License: GPLv2+ and LGPLv2+
URL:     https://invent.kde.org/frameworks/kidletime
Source0: http://download.kde.org/%{stable}/frameworks/%{majmin}/kidletime-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-rpm-macros >= %{majmin}
BuildRequires:  plasma-wayland-protocols-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  qt5-qtwayland-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(x11-xcb)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-sync)
BuildRequires:  pkgconfig(xscrnsaver)

Requires:       kf5-filesystem >= %{majmin}

%global __provides_exclude_from ^(%{_kf5_plugindir}/.*\\.so)$



%description
KDE Frameworks 5 Tier 1 integration module for idle time detection.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.



%prep
%autosetup -n kidletime-%{version}



%build
%cmake_kf5
%cmake_build



%install
%cmake_install



%files
%license LICENSES/*.txt
%doc README.md
%{_kf5_libdir}/libKF5IdleTime.so.*
%dir %{_kf5_plugindir}/org.kde.kidletime.platforms/
%{_kf5_plugindir}/org.kde.kidletime.platforms/KF5IdleTimeXcbPlugin0.so
%{_kf5_plugindir}/org.kde.kidletime.platforms/KF5IdleTimeXcbPlugin1.so
%{_kf5_plugindir}/org.kde.kidletime.platforms/KF5IdleTimeWaylandPlugin.so
%{_kf5_datadir}/qlogging-categories5/kidletime.*

%files devel
%{_kf5_libdir}/libKF5IdleTime.so
%{_kf5_libdir}/cmake/KF5IdleTime/
%{_kf5_includedir}/KIdleTime/
%{_kf5_archdatadir}/mkspecs/modules/qt_KIdleTime.pri



%changelog
* Wed Nov 15 2023 Zhao Zhen <jeremiazhao@tencent.com> - 5.110.0-1
- initial
